%define upstream_name    Dist-Zilla-UtilRole-MaybeZilla
%define upstream_version 0.002000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Soft-dependency on Dist::Zilla for Utilities
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Log::Contextual::LogDispatchouli)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'Dist::Zilla' Is Great. Long Live 'Dist::Zilla' But when you're writing a
utility class, loading 'Dist::Zilla' may be not necessary, and can make
testing things harder.

Namely, because to test anything that *requires* 'Dist::Zilla', *requires*
that you have a valid build tree, which may be lots of unnecessary work if
you only need 'dzil' for simple things like error logging.

Or perhaps, you have other resources that you only conventionally fetch
from 'dzil', such as the 'dzil build-root', for the sake of making a
'Git::Wrapper', but you're quite happy with passing 'Git::Wrapper'
instances directly for testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.0-5.mga10
+ Revision: 2203851
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.0-4.mga9
+ Revision: 1809179
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1504349
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1283596
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1217202
- imported package perl-Dist-Zilla-UtilRole-MaybeZilla


* Tue Apr 10 2018 cpan2dist 0.002000-1mga
- initial mageia release, generated with cpan2dist
